blob_id stringlengths 40 40 | language stringclasses 1
value | repo_name stringlengths 4 115 | path stringlengths 2 970 | src_encoding stringclasses 28
values | length_bytes int64 31 5.38M | score float64 2.52 5.28 | int_score int64 3 5 | detected_licenses listlengths 0 161 | license_type stringclasses 2
values | text stringlengths 31 5.39M | download_success bool 1
class |
|---|---|---|---|---|---|---|---|---|---|---|---|
d4a446a15f0457e4f57d8764afa2c99b67b817c4 | Shell | rushioda/PIXELVALID_athena | /athena/Trigger/TrigValidation/TrigInDetValidation/scripts-art/makeart | UTF-8 | 822 | 2.96875 | 3 | [] | no_license | #!/bin/bash
# for job in $(grep TrigInDet ../TIDAbuild/makefile | grep -v \=| awk '{print $1}'); do
for job in $(grep include ../TIDAbuild/TrigInDetValidation_TestConfiguration_main.xml | grep -v "<\!-" | sed 's|.* \"||g' | sed 's|\".*||g'); do
echo
echo $job
SAMPLE=$(grep include ../TIDAbuild/$job ... | true |
2107f1ae223dbdb04f34814dcb14723299069b7f | Shell | delkyd/alfheim_linux-PKGBUILDS | /otf-inconsolata-lgc-git/PKGBUILD | UTF-8 | 1,163 | 2.609375 | 3 | [
"MIT"
] | permissive | # maintainer: tagener-noisu @ GitHub
pkgname=otf-inconsolata-lgc-git
_pkgname=otf-inconsolata-lgc
pkgver=1.3.0
pkgrel=1
pkgdesc="a modified version of Inconsolata with added Cyrillic alphabet"
url="https://github.com/MihailJP/Inconsolata-LGC/"
arch=('any')
license=('OFL')
makedepends=('git' 'fontforge')
provides=($_pkg... | true |
7f59f49b77c5ae47771e24e8a9ced9b01cb4bc96 | Shell | floswald/parallelTest | /R/clusterTime/timer.sh | UTF-8 | 772 | 2.90625 | 3 | [] | no_license | #!/bin/bash
echo "starting qsub script file for fibonacci timer"
source ~/.bash_profile
date
# here's the SGE directives
# ------------------------------------------
#$ -q batch.q # <- the name of the Q you want to submit to
#$ -pe mpich 20 # mpich <- load the openmpi parallel env w/ $(arg1) slots
#$ -S /bin/bas... | true |
56de62c2c8e08be25a9f7f696a0ce7f0b880525c | Shell | delkyd/alfheim_linux-PKGBUILDS | /dgrp/PKGBUILD | UTF-8 | 23,589 | 2.8125 | 3 | [] | no_license | # Maintainer: Chris Severance aur.severach aATt spamgourmet dott com
# Todo: rewrite dgrp_cfg_node to be systemd compatible.
# Todo: add systemd getty support to drpadmin
# Todo: Default user, group, and mode are in the backing store. These do not work. They are set by udev and apply to all ports.
# Digi bug: terminal... | true |
14efe06dc6a4d306dc6631433d7985ad252f827d | Shell | gergelyfabian/rules_scala | /scala/scalafmt/private/format-test.template.sh | UTF-8 | 1,070 | 3.53125 | 4 | [
"Apache-2.0"
] | permissive | #!/bin/bash -e
# Explanation: IF $BUILD_WORKSPACE_DIRECTORY is set to something (as it would be during a
# `bazel run`), then append a trailing `/`. If it's not set (as it wouldn't be during
# a `bazel test` invocation in a wrapping `sh_test` rule), then elide the trailing `/`, and
# instead rely upon a relative path... | true |
5af35788cc81ad6d62e55d20ae81d1239fe3bb69 | Shell | akrito/Varnish-Least-Busy-Director | /varnish-cache/bin/varnishd/vclflint.sh | UTF-8 | 228 | 3.109375 | 3 | [
"BSD-2-Clause"
] | permissive | #!/bin/sh
#
# Run flexelint on the VCL output
if [ "x$1" = "x" ] ; then
./varnishd -C -b localhost > /tmp/_.c
elif [ -f $1 ] ; then
./varnishd -C -f $1 > /tmp/_.c
else
echo "usage!" 1>&2
fi
flexelint vclflint.lnt /tmp/_.c
| true |
45881c5667514ee6773e444d14ec9c7c07ad59e4 | Shell | TheWover/PoshC2 | /Files/posh-service | UTF-8 | 549 | 3.59375 | 4 | [
"BSD-3-Clause"
] | permissive | #!/bin/bash
# trap ctrl-c and call ctrl_c()
trap ctrl_c INT
function ctrl_c() {
popd > /dev/null
exit
}
if [[ -z "${POSHC2_DIR}" ]]; then
POSH_DIR="/opt/PoshC2"
else
POSH_DIR=${POSHC2_DIR}
fi
pushd $POSH_DIR >/dev/null
if [ "$?" -eq "0" ]; then
systemctl enable poshc2.service >/dev/null
... | true |
f82bb92f0697933cbcf9bc565ecb4822f919291b | Shell | oleklapp/mcash-magento | /test.sh | UTF-8 | 261 | 2.828125 | 3 | [
"MIT"
] | permissive | #!/bin/sh
set -e
set -o xtrace # Echo out the command before running it
find . -name "*.php" -not -path "./vendor/*"| xargs -n 1 php -l
set +e
set -e
php --version
for f in `find . -name "*test.php" -not -path "./vendor/*"`
do
phpunit --verbose $f
done
| true |
252dd685a8648bb43b56b28b414f91d4dcdca9c2 | Shell | jkjuopperi/nist-hash-check | /make-psql-db.sh | UTF-8 | 1,779 | 2.96875 | 3 | [] | no_license | #!/bin/sh
generate () {
cat <<-EOF
BEGIN;
CREATE TABLE IF NOT EXISTS mfg (MfgCode integer PRIMARY KEY NOT NULL, MfgName text NOT NULL);
CREATE TABLE IF NOT EXISTS os (
OpSystemCode integer PRIMARY KEY NOT NULL,
OpSystemName text NOT NULL,
OpSystemVersion text,
MfgCode integer REFERENCES mfg (MfgCode)
);
... | true |
6bae44a869ee2534a127027d5f48a36725106553 | Shell | Michael-Santos/rip | /configura.sh | UTF-8 | 665 | 3.328125 | 3 | [] | no_license | # Cria as interfaces necessárias
if [ $# -ne '1' ]; then
echo "Uso: \$configura < interface >"
exit
fi
# Endereco de cada uma das interfaces
ENDERECOS[0]='192.168.1.100'
ENDERECOS[1]='192.168.2.100'
ENDERECOS[2]='192.168.3.100'
ENDERECOS[3]='192.168.1.200'
ENDERECOS[4]='192.168.5.100'
ENDERECOS[5]='192.168.3.200'
... | true |
e8b8191276920c79de2fe39c1d9c76f976083701 | Shell | oke11o/gqlgen-sqlc-example | /scripts/pg_healthcheck.sh | UTF-8 | 183 | 2.90625 | 3 | [] | no_license | #!/bin/sh
if select=$(echo 'SELECT 1' | psql --username ${POSTGRES_USER} --dbname ${POSTGRES_DB} --quiet --no-align --tuples-only ) && [ ${select} = '1' ];
then
exit 0;
fi;
exit 1 | true |
3e159568b4312cbbbb36ebc80e3d05acd0bba680 | Shell | waxcage/7-hour-quest | /no.sh | UTF-8 | 74 | 2.515625 | 3 | [] | no_license | #!/bin/bash
COUNTER=0
while [ $COUNTER -lt 10 ]; do
echo "n"
done
| true |
037dd6854910a6fa2e090e2c036f47f2b84fffcc | Shell | krishnachaitanyareddy/director-scripts | /azure-dns-scripts/bootstrap_dns_nm.sh | UTF-8 | 1,573 | 3.890625 | 4 | [
"Apache-2.0"
] | permissive | #!/bin/sh
# RHEL 7.2 uses NetworkManager. Add a script to be automatically invoked when interface comes up.
cat > /etc/NetworkManager/dispatcher.d/12-register-dns <<"EOF"
#!/bin/bash
# NetworkManager Dispatch script
# Deployed by Cloudera Director Bootstrap
#
# Expected arguments:
# $1 - interface
# $2 - action
#... | true |
7f1e6bd32c3eea260f8495fdcb13271c9d9320b4 | Shell | alvls/parprog-2018-1 | /groups/1506-3/lipatov_id/run.sh | UTF-8 | 325 | 2.84375 | 3 | [] | no_license | #!/bin/bash
for file in ./Tests/*; do
if [[ "$file" != *perfect.ans ]] &&
[[ "$file" != *.seq ]] &&
[[ "$file" != *.omp ]] &&
[[ "$file" != *.tbb ]];
then
./Test/b 4 $file $file".seq" $file".omp" $file".tbb"
diff $file".seq" $file".omp"
diff $file".seq" $file".tbb"
fi
... | true |
724aad9d084fbb113ec5ba7d85e1150f36bcd795 | Shell | hqjang-pepper/Linux-study | /test_integer.sh | UTF-8 | 255 | 3.328125 | 3 | [] | no_license | #!/bin/bash
#test_integer: evaluate the value of integer
INT=-5
if [[ "$INT" =~ ^-?[0-9]+$ ]]; then #n자리 숫자 매치 여부. -는 시작할때 올수도 있고 안올수도 있다.
echo "it is integer."
else
"INT is not an integer." >&2
fi | true |
56ffb0ddb7af529988eed710a2457e1844a416c3 | Shell | Boffmann/ETCSOnBoard | /setup_revPi.sh | UTF-8 | 1,308 | 2.859375 | 3 | [] | no_license | sudo su
apt update
echo "Installing OpenSplice dependencies..."
sleep 3
apt install -y flex bison perl gawk cmake vim
echo "Downloading OpenSplice Source code..."
sleep 3
wget https://github.com/ADLINK-IST/opensplice/archive/OSPL_V6_9_190925OSS_RELEASE.zip
echo "Unzipping OpenSplice Sourcecode..."
sleep 3
unzip OSPL... | true |
600e8537b19edc7ee10903f1d602369a5770bdcd | Shell | SergiOn/java | /Courses/Apache-Kafka-Series-Kafka-Connect-Hands-on-Learning/kafka-connect-code_v3.3.0/kafka-connect-tutorial-sources.sh | UTF-8 | 3,516 | 3.125 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/bash
# Make sure you change the ADV_HOST variable in docker-compose.yml
# if you are using docker Toolbox
# 1) Source connectors
# Start our kafka cluster
docker-compose up kafka-cluster
# Wait 2 minutes for the kafka cluster to be started
###############
# A) FileStreamSourceConnector in standalone mode
# Lo... | true |
e2874d52bdfeb1d608921dfbad9acdc3bfe3cb11 | Shell | ssdemajia/CCC | /shell/simple_vm.sh | UTF-8 | 703 | 3.984375 | 4 | [
"Apache-2.0"
] | permissive | #!/bin/bash
# 这个程序用于初始哈chroot中程序所需要的动态库
# 联系方式:2chashao@gmail.com
# History:
# 2019.10.19 chashao first release
function run() {
pwd=`pwd`;
sudo chroot ${pwd} ${1};
}
# 参数传入判断
[ "$#" -ne 1 ] && echo "脚本必须有一个参数file,指定运行的文件" && exit 0;
# 需要的库
ldd=$(for i in `ldd ./a.out`;do echo $i;done | grep -v = | grep -v ... | true |
076e702ec1f5072f862d1c050193f564ab3821f4 | Shell | YenForYang/debian-discount | /discount/librarian.sh | UTF-8 | 1,015 | 3.046875 | 3 | [
"BSD-3-Clause"
] | permissive | #! /bin/sh
#
# Build ELF shared libraries, hiding (some) ickiness from the makefile
ACTION=$1; shift
LIBRARY=$1; shift
eval `awk -F. '{ printf "MAJOR=%d\n", $1;
printf "VERSION=%d.%d.%d\n", $1, $2, $3; }' $1`
shift
LIBNAME=$LIBRARY.so
FULLNAME=$LIBNAME.$VERSION
case "$ACTION" in
make) FLAGS="-g -O2 -fdebug-... | true |
8a9bbecdff75c0b2f803e1567d8069e895b79736 | Shell | SamPedley/dotfiles | /.aliases | UTF-8 | 2,939 | 3.296875 | 3 | [] | no_license | #!/usr/bin/env bash
# Easier navigation: .., ..., ...., ....., ~ and -
alias ..="cd .."
alias ...="cd ../.."
alias ....="cd ../../.."
alias .....="cd ../../../.."
alias ~="cd ~" # `cd` is probably faster to type though
alias -- -="cd -"
alias cdp="cd ~/Projects"
alias cdgo="cd $GOPATH"
# GR shortcuts
alias cdts="cd ... | true |
9a271b70dfe55c209e144191a8acc25101066531 | Shell | reotyan/dot_files | /.shadow/ubuntu/prompt.sh | UTF-8 | 1,319 | 3.3125 | 3 | [] | no_license | #!/bin/sh
trap 'printf "\e[0m"' DEBUG
export TZ=Tokyo
pc=$?
wd=$(pwd | wc -m) # Working Directory
pd=$(pwd | wc -m) # Past Directory
PROMPT_COMMAND='pc=$?; wd=$(pwd | wc -m); printf "\e[s\e[1;$(expr $COLUMNS - ${pd} + 1)f$(for n in $(seq 1 ${pd});do printf " ";done)\e[${wd}D\e[1m$(pwd)\e[0m\n\e[$(expr $COLUMNS - 11)C$(... | true |
2a76ca1471b8e675a2d773124e7081fba5cc9f29 | Shell | lihentian/nerv | /resources/scripts/nerv/cluster/Host/create.sh | UTF-8 | 158 | 3.171875 | 3 | [
"Apache-2.0"
] | permissive | #!/usr/bin/env bash
function create() {
if [ ! -d $root ]; then
mkdir -p $root
fi
}
if [ "$root" == "" ]; then
$root=nerv
fi
create
| true |
87032317b5be12bf90298220ad0672045d5521ee | Shell | hak5/bashbunny-payloads | /payloads/library/execution/psh_DownloadExecSMB/payload.txt | UTF-8 | 2,495 | 3.765625 | 4 | [] | no_license | #!/bin/bash
#
# Title: Powershell Download and Execute SMB
# Author: LowValueTarget
# Version: 2.0
# Category: Powershell
# Target: Windows XP SP3+ (Powershell)
# Attackmodes: HID, RNDIS_ETHERNET
# Firmware: >= 1.2
#
# Quick HID attack to retrieve and run powershell payload from ... | true |
b97b1762f981a60071418f7592364825570e1bc3 | Shell | ankitshah009/AudioCaption | /scripts/prepare_bertserver.sh | UTF-8 | 1,343 | 3.640625 | 4 | [
"MIT"
] | permissive | #!/bin/bash
#SBATCH --job-name bert-server
#SBATCH --partition=gpu
#SBATCH --cpus-per-task=2
#SBATCH --gres=gpu:1
#SBATCH --output=logs/bert-server-%j.log
#SBATCH --error=logs/bert-server-%j.err
if [ $# -lt 1 ]; then
cat >&2 <<EOF
Usage: $0 <bert-server-dir> <lang> [<num-worker>]
e.g.: $0 utils/bert zh 4
EOF
exit... | true |
b1ba85f9816a3017b65b5d49a83a61442d22a501 | Shell | aroig/dotfiles | /shell/system/shellrc.d/completion.sh | UTF-8 | 1,649 | 3.203125 | 3 | [] | no_license | #!/bin/zsh
#------------------------------------------------------------------#
# File: completion.zsh Completion adjustments #
# Version: #
# Author: Abdó Roig-Maranges <abdo.roig@gmail.com> #
#--------------------------------... | true |
1c0a45c51d8b0b6d9b2fc9b7ea1180493e65d5a7 | Shell | jewmich/wordpress | /docker/docker-entrypoint.sh | UTF-8 | 1,733 | 3.890625 | 4 | [] | no_license | #!/bin/bash
set -euo pipefail
# Custom entrypoint that only handles installing Wordpress. We don't need any of the environment
# setting stuff (we have our own version of wp-config.php that stores secrets outside Git) or the DB
# creation logic (which the Docker MySQL image handles for us).
if ! [ -e index.php -a -e... | true |
ecb62c50bc20aeaff898923572709b0815ddcd8f | Shell | pdixon/dotfiles | /bin/backup-etc | UTF-8 | 135 | 2.734375 | 3 | [] | no_license | #! /bin/bash
TARFILE=~/$(hostname -s)-etc-$(date "+%Y-%m-%d").tar.gz
cd /
tar -v --create --gzip --one-file-system -f ${TARFILE} etc
| true |
a7f9ad02695b2d83fd4563dd732e8079db6cc425 | Shell | EducopiaInstitute/etdplus-installscripts | /install_solr.sh | UTF-8 | 2,134 | 3.78125 | 4 | [] | no_license | #!/bin/bash
# Install Solr and set up Solr core
# Note that this must be done after installing the Sufia application because it
# uses configuration files from the "solr_conf" directory in setting up the core.
set -o errexit -o nounset -o xtrace -o pipefail
# Read settings and environmental overrides
# $1 = platform ... | true |
418bdba0026b72f4e07800fce94a5b2d1f62cfcc | Shell | ianpreston/oh-my-py | /install.sh | UTF-8 | 485 | 3.328125 | 3 | [
"MIT"
] | permissive | #!/bin/sh
if [ ! -d "extension" ]; then
echo "Script must be run from within oh-my-py install directory"
exit 1
fi
ipython profile create sh
rm $HOME/.ipython/profile_sh/ipython_config.py || true
rm $HOME/.ipython/extensions/ohmypy || true
ln -s `pwd`/extension $HOME/.ipython/extensions/ohmypy
ln -s `pwd`/conf... | true |
7b093abdb0bac3c202650974e682bcb1764a42de | Shell | jtaleric/plow | /workloads/baseline-performance/common.sh | UTF-8 | 777 | 2.78125 | 3 | [
"Apache-2.0"
] | permissive | #!/usr/bin/env bash
source ../../utils/common.sh
openshift_login
export KUBE_BURNER_RELEASE_URL=${KUBE_BURNER_RELEASE_URL:-latest}
export ENABLE_INDEXING=${ENABLE_INDEXING:-true}
export ES_SERVER=${ES_SERVER:-https://search-perfscale-dev-chmf5l4sh66lvxbnadi4bznl3a.us-west-2.es.amazonaws.com:443}
export ES_INDEX=${ES... | true |
63a58e0fdb6c0c3e447a3e60a212d8b7f0f51c5d | Shell | andrewreach/XcodeGen | /Tests/Fixtures/TestProject/build.sh | UTF-8 | 961 | 2.671875 | 3 | [
"MIT",
"LicenseRef-scancode-unknown-license-reference"
] | permissive | #!/bin/bash
set -e
CARTHAGE_DYNAMIC_FRAMEWORKS=(Result)
CARTHAGE_STATIC_FRAMEWORKS=(SwiftyJSON swift-nonempty)
carthage bootstrap $CARTHAGE_DYNAMIC_FRAMEWORKS --cache-builds
# Prepare xcconfig for static bootstrapping
STATIC_CONFIG=$(mktemp -d)/static.xcconfig
echo "MACH_O_TYPE = staticlib" > $STATIC_CONFIG
XCODE_X... | true |
e91cc4c8b964091e0af1cfd09035a44baed3fb3f | Shell | Moorviper/zen2vdr | /build.sh | UTF-8 | 344 | 2.5625 | 3 | [] | no_license | #!/bin/bash
BASEDIR=`pwd`
cd zentoo-kernel-build
./build.sh
cd $BASEDIR
cd zentoo-os-build
./build.sh
cd $BASEDIR
cd zentoo-smt-tools
PREFIX="/zensysgen-glibc" ./build.sh
cd $BASEDIR
cd zenvdr-build
RESOURCE="R2" TARGET_DIR="/zensysgen-glibc" METHOD="tar" ./build.sh
cd $BASEDIR
cd zenvdr-init
./install.sh "/zensy... | true |
75b56251f9a2d6e408efbe1759da05ede197ad13 | Shell | thomasdarimont/akvo-provisioning | /puppet/modules/butler/templates/update.sh.erb | UTF-8 | 722 | 3.203125 | 3 | [] | no_license | #!/bin/bash
set -e
BRANCH=$1
ORIG_DIR=`pwd`
HERE="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
VENV=<%= @approot %>/venv
CODE=<%= @approot %>/code
MANAGE=<%= @approot %>/manage.sh
if [ ! -d $VENV ]
then
virtualenv $VENV
fi
if [ ! -d <%= @approot %>/code ]
then
git clone https://github.com/akvo/butler.git... | true |
62219d7e0a34eaec422f072824a33b9f2be15677 | Shell | christopherdoyle/dotfiles | /scripts/check-environment.sh | UTF-8 | 588 | 3.375 | 3 | [] | no_license | #!/bin/bash
commands=( "wget" "curl" "htop" "vim" "nvim" "go" "python" "python3" )
for item in "${commands[@]}"
do
if command -v "$item" &> /dev/null; then
word="yes"
else
word="no"
fi
printf "%-15s%s\n" "$item" "$word"
done
if command -v python &> /dev/null && python -m pip &> /dev/n... | true |
e1f07804d44249e14fbf597be02078eadbdfe4ac | Shell | delkyd/alfheim_linux-PKGBUILDS | /python2-myhdl-git/PKGBUILD | UTF-8 | 918 | 2.578125 | 3 | [] | no_license | # Maintainer: Alex Forencich <alex@alexforencich.com>
pkgname=python2-myhdl-git
pkgver=0.9.0.r29.g983a169
pkgrel=1
pkgdesc="a Python-Based Hardware Description Language"
arch=('any')
url="http://www.myhdl.org/"
license=('LGPL')
depends=('python2' 'iverilog')
makedepends=('git')
provides=('python2-myhdl')
_gitroot='htt... | true |
0a4ac07e95426563843589045b4e818f23a47214 | Shell | yasuhiroki/iypymtiycaa | /zshef/cookbooks/nodejs/firebase.zshef | UTF-8 | 558 | 2.65625 | 3 | [] | no_license | #!/usr/bin/env zsh
function zshef::install() {
zshef::util::mng::is_installed "firebase" || {
my::install::firebase
}
}
function zshef::update() {
zshef::util::mng::is_installed "firebase" && {
my::install::firebase
}
}
function my::install::firebase() {
zshef::util::mng::is_insta... | true |
820e65b9b7bf352bf383b41bc6dede6ff5deb4b9 | Shell | luroto/holberton-system_engineering-devops | /0x0F-load_balancer/1-install_load_balancer | UTF-8 | 621 | 2.5625 | 3 | [] | no_license | #!/usr/bin/env bash
# This script installs and configures HAproxy as load balancer
sudo apt-get install software-properties-common -y
sudo add-apt-repository ppa:vbernat/haproxy-1.8 -y
sudo apt-get update -y
sudo apt-get install haproxy=1.8.\* -y
echo "ENABLED=1" |sudo tee -a /etc/default/haproxy
sudo service haproxy ... | true |
c5189c4fa38f4ac26743cc82b09a7a3db1a4816b | Shell | sio2sio2/clonaton | /app/modules/clonezilla/scripts/dcs.sh | UTF-8 | 19,374 | 3.53125 | 4 | [] | no_license | #!/bin/sh
#
# Lanza clonezilla multiserver preparando
# la línea de comandos de drbl-ocs.
# Puede lanzarse en el propio servidor (ver dcs -h).
#
DRBL_PATH="`dirname $0`/../drbl"
DRBL_OCS="$DRBL_PATH/sbin/drbl-ocs"
# Opciones predeterminadas que se pasan al drbl-ocs
# del servidor y el ocs-sr del cliente.
OPTS="--batch... | true |
6943d37c9d6c1a3615c95df886b5b95c3eb91032 | Shell | inissa/system-management | /buildscripts/buildintltool | UTF-8 | 331 | 2.734375 | 3 | [
"MIT",
"LicenseRef-scancode-warranty-disclaimer"
] | permissive | #!/bin/bash -e
export PKGNAME=intltool
export PKGVER=0.51.0
export PKGTAR=${PKGNAME}-${PKGVER}.tar.gz
export PKGURL="https://launchpad.net/intltool/trunk/${PKGVER}/+download/${PKGTAR}"
export MAKE_JOBS_FLAGS="-j4"
export KEEP_STATIC=1
configure_pre() {
sed -i 's:\\\${:\\\$\\{:' intltool-update.in
}
. $(dirname $0)... | true |
d18e8a63caae387993e26404dc58da35bc1eb61f | Shell | v-arcade/wildfly_vRA | /WildFly11_install_script_vRA.sh | UTF-8 | 606 | 3.15625 | 3 | [] | no_license | #! /bin/bash
echo "External Repo value=" $ExternalRepo
if [ $useExternalRepo = "Yes" ];
then
echo "Getting file from External Repo"
wget --no-check-certificate -O /tmp/wildfly-11.0.0.CR1.tar.gz $repoURL/wildfly-11.0.0.CR1.tar.gz
cd /tmp
/bin/gunzip /tmp/wildfly-11.0.0.CR1.tar.gz
... | true |
2a95608b66ddde85129e5cd01ee3a249a391a48c | Shell | ScallyBag/jetson-inference | /tools/benchmark-models.sh | UTF-8 | 1,802 | 3.6875 | 4 | [
"MIT"
] | permissive | #!/bin/bash
#
# this script benchmarks DNN models from jetson-inference
# using the TensorRT trtexec tool and logs the results.
#
# usage: ./benchmark-models.sh <log-dir> <iterations> <runs>
#
# trtexec will profile the execution time of the network
# over N iterations, each iteration averaging over M runs.
#
# If unsp... | true |
d4891890b1bf1a58441043150141defc0f0e50a9 | Shell | vulture29/openstack-auto-deploy | /scripts/user_config.sh | UTF-8 | 4,273 | 3.390625 | 3 | [] | no_license | #!/bin/bash
USER_INPUT=1;
CUSTOMIZED_CONFIG_PATH="config/rc.conf"
DEFAULT_CONFIG_PATH="config/rc.conf.default"
echo ""
while read -p "Want to proceed with default config -- allinone?(yes/no) " REPLY1 ; do
case $REPLY1 in
yes)
echo ""
echo "--> Installing with the default config."
# install with alli... | true |
000d792b010401b92f7b21437750096847ef4ac3 | Shell | palmer-dabbelt/home | /.local/src/paset.bash | UTF-8 | 600 | 3.078125 | 3 | [] | no_license | #!/bin/bash
snkname="$(pacmd list-sinks | grep "name: .*$1.*" | grep -v ".monitor" | sed 's@ *name: <\([A-Za-z0-9_.-]*\)>.*@\1@' | xargs echo)"
srcname="$(pacmd list-sources | grep "name: .*$1.*" | grep -v ".monitor" | sed 's@ *name: <\([A-Za-z0-9_.-]*\)>.*@\1@' | xargs echo)"
pacmd << EOF
set-default-source $srcname... | true |
7ec31ab15e80478f988ba12b469aea95e71a88e3 | Shell | lisuke/repo | /archlinuxcn/numix-icon-theme/PKGBUILD | UTF-8 | 799 | 2.671875 | 3 | [] | no_license | # Maintainer: Maxime Gauduin <alucryd@archlinux.org>
# Contributor: Diego <cdprincipe@gmail.com>
# Current Maintainer <erik.dubois@gmail.com>
pkgname=numix-icon-theme
pkgver=23.04.26.r0.g71b89af4f
pkgrel=1
pkgdesc='Base icon theme from the Numix project'
arch=('any')
url='https://github.com/numixproject/numix-icon-the... | true |
c602af64cee86f89cdfa9816d07bd4410eae6841 | Shell | membly/homeworkLinux | /usr/bin/service_script.sh | UTF-8 | 303 | 3.140625 | 3 | [] | no_license | #!/bin/bash
mkfifo /tmp/notifyfifo
chomod 777 /tmp/notifyfifo
systemd-notify --ready --status "Waiting for data"
while : ; do
read a < /tmp/notifyfifo
systemd-notify --status="Processing script"
echo -e "\n$(date +"%m-%d-%y %T")\tSleep script was started" >> /tmp/service_script.log
done
| true |
c86aaee9c8ebadb31edd5e559b97124025a556a2 | Shell | crazzyfool/scripts | /parameter-0.2.sh | UTF-8 | 2,746 | 3.703125 | 4 | [] | no_license | #!/bin/bash
echo ' ____ __ ____ ___ _ _ ___ _ _ ____ ___ __ _ ____ ____ ';
echo '( _ \ / _\(_ _)/ __)/ )( \ ___ / __)/ )( \( __)/ __)( / )( __)( _ \';
echo ' ) __// \ )( ( (__ ) __ ((___)( (__ ) __ ( ) _)( (__ ) ( ) _) ) /';
echo '(__) \_/\_/(__) \___)\_)(_/ \___)\_)(_/(____)\... | true |
b35c1859a824f60b1382b72f82cd1607f4407fb1 | Shell | GGCCoder/Linux | /Bash/array/ex1_7.sh | UTF-8 | 332 | 2.90625 | 3 | [] | no_license | # selection sort
i=0
array=($*)
while [ $i -lt ${#array[@]} ]
do
idx=$i
j=$[$i+1]
while [ $j -lt ${#array[@]} ]
do
if [ ${array[idx]} -lt ${array[j]} ]
then
idx=$j
fi
let j++
done
# echo "idx = ${idx}, value = ${array[idx]}"
tmp=${array[i]}
array[i]=${array[idx]}
array[idx]=$tmp
let i++
done
echo ... | true |
6ce853f180fd7eff53b4f627cf4147d9713e0611 | Shell | android1and1/saltit | /scripts/tests/test_unsaltit | UTF-8 | 1,121 | 3.078125 | 3 | [] | no_license | #!/bin/bash
# filename test_unsaltit
# first of first,include abs root(directory) name.
# then start the famous 'The Quartet'.
# get some global variable -- "FUNCPATH" "ABSROOT" "include_all" "echotest" ..
project_dir=$( cd $( dirname $0 ) && cd ../../ && pwd -P )
. $project_dir/conf/abs.conf
. $project_dir/conf/opt... | true |
c04a134de4e365166b9b645d030d78de7e03541b | Shell | coollog/kash | /kash | UTF-8 | 605 | 3.828125 | 4 | [] | no_license | #!/usr/bin/env bash
if [ -z "$1" ]; then
echo "Usage: ./kash <IMAGE>"
exit
fi
POD_IMAGE=$1
POD_NAME=$(uuidgen | tr "[:upper:]" "[:lower:]")
# Applies the Pod template.
cat k8s/kash-pod.yaml |
sed -e "s/{POD_NAME}/${POD_NAME}/" |
sed -e "s/{POD_IMAGE}/${POD_IMAGE}/" |
kubectl apply -f -
echo "Running... | true |
0b25ca2d786b57d58c942f55e0732544637b199a | Shell | ruixueqingyang/OAO-Translator | /benchmarks/PolyBench/plain/BICG/bicg.sh | UTF-8 | 526 | 2.515625 | 3 | [] | no_license | #!/bin/bash
cd /home/anjushi/work/polybench/plain/BICG
make clean
export LD_LIBRARY_PATH=/home/wfr/install/LLVM-9/install-9/lib:$LD_LIBRARY_PATH
FILE="/home/anjushi/work/polybench/plain/BICG/result_1.txt"
make DEBUG=-D_DEBUG_1 OMP0 #OMP
make DAWN_1 #DawnCC
make DEBUG=-D_DEBUG_1 OAO #OAO
cmdcu1=`./OMP` #... | true |
9d85d73916602b8fd8f8ff520eae33cd99fdbb9b | Shell | rkumar/cetus | /scripts/zip | UTF-8 | 537 | 4.375 | 4 | [
"MIT"
] | permissive | #!/usr/bin/env bash
# This script zips the contents of selected_files
# It prompts for a file name to create, and defaults to archive.zip
# If no files were selected, then current file under cursor is zipped.
FILE=~/tmp/selected_files
TODAY=$(date +"%Y%m%d%H%M")
TARGET=archive_${TODAY}.zip
pwd
if [[ -f $FILE ]]; then
... | true |
c643bf6c9c79f22c7ba0184e4a463a3892be9e97 | Shell | rohit-htc/CommandLine-Utilities | /prewrite | UTF-8 | 558 | 3.609375 | 4 | [] | no_license | #!/bin/bash
if [ $# -eq 1 ]
then
inputfile="-"
elif [ $# -eq 2 ]
then
if [ -f "$1" ]
then
inputfile=$1
else
inputtext=$1
fi
shift;
else
echo 'Usage: prewrite [text|filename] filename' 2>&1; exit 2
fi
if [ -z "$inputfile" ]
then
cat $1 | xclip -i && echo "$inputtext" > $1 && xclip -o >> $1
else
cat $1 | xc... | true |
e41370e373870012a20ddc37bd9154e009de0ed7 | Shell | BoiseState/string-constraint-counting | /scripts/shell/set_class_path_var.sh | UTF-8 | 697 | 3.515625 | 4 | [] | no_license | #! /usr/bin/env bash
# get directory of this script as current working directory
proj_root="$( cd "$( dirname "${BASH_SOURCE[0]}" )/.." && pwd )"
class_path="$proj_root/bin"
# for each jar file in lib directory
for jar_file in $proj_root/lib/*.jar
do
# get filename
f_name=${jar_file##*/}
# add jar file... | true |
d68f3e7e2e889b82be2e4cce4d3c4093c637fdef | Shell | faust64/puppet | /modules/nagios/files/custom_plugins/check_etcd | UTF-8 | 1,411 | 3.6875 | 4 | [
"BSD-3-Clause"
] | permissive | #!/bin/sh
# check_etcd - watch etcd cluster health
# 20180626 - smoro@redhat.com
PRG=`basename $0`
OK=0
WARNING=1
CRITICAL=2
UNKNOWN=3
msg=": Nothing to report"
ret=OK
TMPFILE=/tmp/.$PRG.$$
if test -f /etc/etcd/etcd.conf; then
. /etc/etcd/etcd.conf
elif test -f /etc/etcd.env; then
. /etc/etcd.env
fi
CLIENT_C... | true |
4d8d6e83465defe2c3eecfa879dcc11bb6f75168 | Shell | shahidv3/locust_docker | /run.sh | UTF-8 | 576 | 2.84375 | 3 | [] | no_license | #!/bin/bash
LOCUST_CMD="/usr/local/bin/locust"
LOCUST_FILE_PATH="-f $LOCUST_FILE"
LOCUST_MODE=${LOCUST_MODE:-standalone}
if [ "$LOCUST_MODE" = "master" ]; then
LOCUST_FILE_PATH="$LOCUST_FILE_PATH --csv=reports host=$TARGET_URL --master --no-web -c $USERS -r $HATCH_RATE -t $RUN_TIME --expect-slaves $SLAVES" ... | true |
113a44c2a836836001e20a5c623e390fee24fa7b | Shell | rjeschmi/conda-ice40-builds | /.travis/after_success.sh | UTF-8 | 886 | 3.28125 | 3 | [] | no_license | #!/bin/bash
source .travis/common.sh
set -e
# Close the after_success fold travis has created already.
travis_fold end after_success
if [ -z "$SKIP_BUILD" ]; then
start_section "package.contents" "${GREEN}Package contents...${NC}"
tar -jtf $CONDA_OUT | sort
end_section "package.contents"
fi
if [ x$TRAV... | true |
766c75d641ec1cc0e022a759a8e0128004b9216d | Shell | petronny/aur3-mirror | /yoono/PKGBUILD | UTF-8 | 1,230 | 2.734375 | 3 | [] | no_license | # Maintainer: grimsock <lord.grimsock at gmail dot com>
# Contributor: Dongsheng Cai <dongsheng at moodle {dot} com>
# Contributor: Mcder3 <mcder3[at]gmail[dot]com>
pkgname=yoono
_altpkgname=yoono-desktop
pkgver=1.8.44
pkgrel=1
pkgdesc="Allows you to connect to all your social networks and IM services"
arch=('i686' 'x... | true |
4b5b5ce254a44899b4d0398bcfb43cea400422e0 | Shell | eusougz/shellscripts | /aula9-scripts-estrutura-repeticao/palindrome.sh | UTF-8 | 179 | 3.234375 | 3 | [] | no_license | #!/bin/bash
while read line; do
words=$(echo $line | sed "s/[^a-z]//g")
reverse=$(echo $words | rev)
if [ "$words" = "$reverse" ]; then
echo Yes
else
echo No
fi
done
| true |
4bf849f5bc3ccd05a51c71cb496dc5813d30baf4 | Shell | christophercaburog/Centos-Dotfiles-Final | /dotfiles/bash_functions | UTF-8 | 7,349 | 3.890625 | 4 | [
"Apache-2.0"
] | permissive | #!/usr/bin/env bash
UTF_8_HEAVY_BALLOT_X='\xe2\x9c\x98'
UTF_8_HEAVY_CHECK_MARK='\xe2\x9c\x94'
UTF_8_HEAVY_WARNING_SIGN='\xe2\x9a\xa0'
UTF_8_INFORMATION_SOURCE='\xe2\x84\xb9'
UTF_8_BLACK_RIGHT_POINTING_INDEX='\xE2\x98\x9B'
function print_available_terminal_colors {
T='gYw' # The test text
echo -e "\n ... | true |
729bc00b83f575ce4ef7b6afb55e7149714a1e83 | Shell | Nifury/onnxruntime | /tools/ci_build/github/linux/docker/scripts/manylinux/install_centos.sh | UTF-8 | 382 | 2.90625 | 3 | [
"MIT"
] | permissive | #!/bin/bash
set -e
os_major_version=$(cat /etc/redhat-release | tr -dc '0-9.'|cut -d \. -f1)
echo "installing for os major version : $os_major_version"
yum install -y which gdb redhat-lsb-core expat-devel tar unzip zlib-devel make libunwind bzip2 bzip2-devel
# Install Java
# Install automatic documentation generati... | true |
7e26d2ba9749d4f4d2807c44a979f58c646d9793 | Shell | hhoegelo/C15 | /build-tools/create-c15-update/update_scripts/bbb_update.sh | UTF-8 | 2,568 | 3.9375 | 4 | [] | no_license | #!/bin/sh
#
# Author: Anton Schmied
# version : 2.0
#
# ----------- install a BBB Updates from USB-Stick ---------
#
# This script will transfer the /preset-manager/* and settings.xml to the ePC
# and update the BBB excluding the /update directory
#
EPC_IP=$1
BBB_IP=$2
report_and_quit(){
printf "$1" >> /update/e... | true |
15828e6c2438a7e6fe3d0b73759825861ecf49fe | Shell | uda446/rodod-soa_aia-brmconnectionpoolreset | /BRMConnectionPoolReset.sh | UTF-8 | 984 | 2.59375 | 3 | [] | no_license | #!/bin/bash
#############################################################################################
# File Description: Script to invoke BRMConnectionPoolReset.py #
# File Name: BRMConnectionPoolReset.py #
# Author: Wiacek, Tomasz ... | true |
08bd4d650a9fa432a9409b3eeec35bf298565aaa | Shell | milanowen/ribsnetwork | /ddns/cloudxns.sh | UTF-8 | 1,184 | 3.828125 | 4 | [] | no_license | #!/bin/sh
set -e
if [ $1 ]; then
ApiKey=$1
fi
if [ $2 ]; then
SecretKey=$2
fi
if [ $3 ]; then
Domain=$3
fi
if [ -z "$ApiKey" -o -z "$SecretKey" -o -z "$Domain" ]; then
echo "参数缺失"
exit 1
fi
if [ $4 ]; then
Host=$4
fi
if [ -z "$Host" ]; then
Host="@"
fi
ApiRequestDate=$(date)
... | true |
4a588678b7a5de3fd18fea54f04c359525d423c8 | Shell | jerrylee1697/rshell | /tests/test_test.sh | UTF-8 | 585 | 2.59375 | 3 | [
"BSD-3-Clause"
] | permissive | #!/bin/sh
cd ../bin/
#case 1: simple command with no parameters
echo "Case 1: No Parameter"
cat ../tests/test_test/test1.dat | ./rshell > ../tests/test_test/test1o.dat
#case 2: single parameter
echo "Case 2: Single Parameter"
cat ../tests/test_test/test2.dat | ./rshell > ../tests/test_test/test2o.dat
#case 3: multipl... | true |
42eccd6d155c4d59da7fdce599ce9e32bd0fd22c | Shell | tlj1899/cathaycheck | /banking.sh | UTF-8 | 2,055 | 3.0625 | 3 | [
"MIT"
] | permissive |
#echo "Credentials into ID/PIN/CODE"
URL1=https://www.mybank.com.tw/pweb/
URL2=https://www.mybank.com.tw/pweb/login.asp
URL3=https://www.mybank.com.tw/pweb/main_menu.asp
URL4=https://www.mybank.com.tw/pweb/main_menu_bottom.asp
URL5=https://www.mybank.com.tw/pweb/C01.asp
URL6=https://www.mybank.com.tw/pweb/C01_Downloa... | true |
3ed731c2d62ccc4c1c18f43682488e8acb9c4d05 | Shell | Anaconda84/aura | /to-distrib.sh | UTF-8 | 266 | 2.875 | 3 | [
"MIT"
] | permissive | #!/bin/bash
DEST=/home/server/aura
DIR=`pwd`
/etc/init.d/aura stop
cd $DEST
find . -maxdepth 1 -name "*" -type d \( -name db \) -prune -o -print | xargs rm -rf
cd $DIR
cp -r ./* $DEST
python sl.py $DEST
chown -R www-data:www-data $DEST
/etc/init.d/aura start
| true |
432af05dc760dd33fbc4708b11c68994781695c0 | Shell | madhavanmalolan/N | /n | UTF-8 | 344 | 3.359375 | 3 | [] | no_license | #!/usr/bin/env bash
com=""
for i in `seq $#`
do
com=`echo $com ${!i}`
done
$com
unameOS="$(uname -s)"
case "${unameOS}" in
Linux*)
notify-send "$1 - completed" "Exit code : $?"
;;
Darwin*)
osascript -e 'display notification "Exit code: '"$?"'" with Title "Command \"'"$1"'\" comple... | true |
380020d4f60b63d565d18aaa6e91e4bff150b708 | Shell | rafaelmarconiramos/Supervisor | /workflows/common/sh/model.sh | UTF-8 | 2,053 | 4 | 4 | [
"MIT"
] | permissive | #!/bin/bash
set -eu
# MODEL.SH
# Shell wrapper around Keras model
usage()
{
echo "Usage: model.sh [-t TIMEOUT] FRAMEWORK PARAMS RUNID"
echo "The environment should have:"
echo " SITE MODEL_NAME EXPID BENCHMARK_TIMEOUT OBJ_RETURN"
echo "If TIMEOUT is provided, we run under the shell command timeout"
}
# set... | true |
a5efeeedabd7076dee58a03097d5095243f62cc2 | Shell | WebAhmed/dotfiles-2 | /scripts/start_ranger.sh | UTF-8 | 372 | 2.546875 | 3 | [] | no_license | #!/bin/bash
if (! tmux has-session -t "ranger" 2> /dev/null); then
tmux new-session -d -s "ranger" -n "ranger"
tmux send-keys -t "ranger:1" "ranger" C-m
tmux attach-session -t "ranger:1"
else
if [ ! "$(ps -elf | grep /usr/bin/ranger | grep python)" ]; then
tmux send-keys -t "ranger:1" "ranger" C-m
... | true |
e73116e96d0f5b2c7909a2d219e65d70d4e29ee0 | Shell | ballachi/Politehnica | /Politehnica/Parser java/tests_greedy_public/checker.sh | UTF-8 | 645 | 3.5625 | 4 | [] | no_license | #!/bin/bash
# fetch tests and results
input_dir="./tests/in"
output_dir="./tests/out"
refs_dir="./tests/ref"
mkdir $output_dir
# compile and make jar
ant compile &>/dev/null
ant jar &>/dev/null
scor=0
tests=10
pointsPerTest=$((100/$tests))
for i in $(seq 1 $tests); do
timeout 10 java -jar tema.jar $input_dir/t... | true |
63df68c58ac38f28a834901ecebb2d5ba8b6e228 | Shell | LukasRypl/variousLinuxScripts | /touchpadToggle.sh | UTF-8 | 570 | 3.734375 | 4 | [
"MIT"
] | permissive | #!/bin/bash
# synclient commandline utility to query and modify Synaptics driver parameters
# notify-send for displaying info
state=$(synclient -l | grep TouchpadOff | awk '{print $3}')
function show() {
notify-send -t 3 "$1"
echo "$1"
}
if [ "$state" == "0" ] ; then
synclient TouchpadOff=1
# TODO Toggle L... | true |
7a1dfb93ea5be04487855257a703aedde8c430af | Shell | Artimirche6/TerminalCommand | /assignment1/folderExits.sh | UTF-8 | 267 | 3.78125 | 4 | [] | no_license | #! /bin/bash -x
read -p " Enter the folder Name : " folderName
if [ -d $folderName ]
then
echo $folderName folder already exists.
else
echo " $folderName folder doesn't exits "
mkdir $folderName
echo "$folderName folder created "
fi
| true |
ae5019cb08b2b6a176dfc2c2e7cf20f799158919 | Shell | Herrie82/cmst | /images/generate.sh | UTF-8 | 332 | 2.609375 | 3 | [] | no_license | #!/bin/bash
#
# Script to enerate differnet size icons.
# dmenu
#
#
for i in 16 20 22 24 32 36 40 48 64 72 96 128 192 256 384 512; do
mkdir -p "./${i}x${i}"
convert ./cmst-icon.svg -transparent white -filter box -resize ${i}x${i} -unsharp 0x6+0.5+0 -background "rgba(0,0,0,0)" -flatten "./${i}x${i}/cmst.png"
... | true |
2115d958911784c9df8c5eb1c8f7a656a5eabffb | Shell | samyuyagati/actor-ft-experiments | /run_video_benchmark.sh | UTF-8 | 1,869 | 2.921875 | 3 | [] | no_license | #!/bin/bash
# 'failure' flag can be omitted to achieve a failure-free execution.
# 'recovery' flag has three possible values: app_lose_frames (app-level
# recovery that tolerates missing frames), app_keep_frames (app-level recovery
# that does not tolerate missing frames), and checkpoint (the default, which
# simulat... | true |
49fd0bc1f35b924b708a70bdbd31d3a10cc8a585 | Shell | JOJO-IAP/drycore | /header.sh | UTF-8 | 627 | 3.65625 | 4 | [] | no_license | #!/usr/bin/env bash
#------------------------------------------------------------------------------#
# Basic functions used throughout this repo
#------------------------------------------------------------------------------#
# Raise error
raise() {
echo "Usage: $usage" >&2
echo "Error: $2" >&2
exit $1
}
# Check... | true |
ac8f06cdb9310026c03f220de6fc105fe7aacfb6 | Shell | livingstonb/WorkFromHome | /OES/build/code/unzip_data.sh | UTF-8 | 112 | 2.90625 | 3 | [] | no_license | #!/bin/bash
zips=$(find build/input/raw -name "*.zip")
for zip in $zips
do
unzip -n "$zip" -d "${zip%.*}"
done | true |
5051fc3a298b01683d130d61858eec807bde2e7a | Shell | lukechurch/sintr | /analysis_server_example/tools/compact_datasets.sh | UTF-8 | 1,066 | 2.8125 | 3 | [
"Apache-2.0"
] | permissive | set -e
echo "Sync dart-usage to liftoff-dev"
gsutil -m cp -n gs://dart-analysis-server-sessions-sorted/compressed/* \
gs://liftoff-dev-datasources-analysis-server-sessions-sorted
echo "Backup"
gsutil -m cp -n -r gs://dart-analysis-server-sessions-sorted \
gs://dart-analysis-server-sessions-sorted-backup
echo "... | true |
28f129138ea9c842c29a5c4df56d3857f1732c63 | Shell | PapaZack80/retroroller | /mame2003-plus-libretro/PKGBUILD | UTF-8 | 883 | 2.5625 | 3 | [] | no_license | # Maintainer: valadaa48 <valadaa48@gmx.com>
_pkgname=mame2003-plus-libretro
pkgname=mame2003plus_libretro
pkgver=2611.0134c428
pkgrel=1
pkgdesc="Updated 2018 version of MAME (0.78) for libretro. with added game support plus many fixes and improvements "
arch=('aarch64')
url="https://github.com/libretro/mame2003-plus-l... | true |
59b1df0884794ddd5e9b08f40e24cba5b56cfc6a | Shell | theosp/osp-dist | /sys-root/home/theosp/.bash/function/recursive_search.sh | UTF-8 | 789 | 3.734375 | 4 | [] | no_license | #!/bin/bash
# Recursive search string in path's files
# rs(needle, path=".")
rs () {
local needle="$1"
local path="${2:-.}"
find "$path" -type f -exec grep -Hn "$1" {} \;
}
# Limited recursive search, drops lines that exceeds given lenght
lrs () {
local needle="$1"
local max_length="${LRS_MAX_LENGHT:-... | true |
996fe015860d0f5c52520ce043e1c7ba6b03bb12 | Shell | duanyiting2018/Rogic_RaspberryPi | /duanyiting/28.sh | UTF-8 | 264 | 2.734375 | 3 | [] | no_license | passed(){
a=$1
echo "passed():\$0 is $0"
echo "passed():\$1 is $1"
echo "passed():args:$#"
echo "passed():all args (\$@) passed to me - \"$@\""
}
echo "**** calling passed() first ****"
passed one
echo "**** calling passed() second ****"
passed one two three
| true |
ce4b557b274151548652349164226dabae06e6c4 | Shell | cxy592394546/Distribute-System-Homework | /homework1/1853444-hw1-q4.sh | UTF-8 | 2,027 | 3.234375 | 3 | [] | no_license | #!/bin/bash
#脚本运行前提为已在远程机器上配置完成免密登陆所需条件!!!
scriptfile1=1853444-hw1-q2.sh
scriptfile2=1853444-hw1-q3.sh
log_file_name=1853444-hw1-q3.log
new_file_name=1853444-hw1-q4.log
path=/mnt/e/分布式系统/hw1/temp
cpdir1=cp1
cpdir2=cp2
cpdir3=cp3
if [ ! -f "./$new_file_name" ]
then
touch ./$new_file_name
elif [ -f "./$new_file_name" ... | true |
b42bd5eac37811d68623248798fde56d6371e93b | Shell | rustamatics/rumo | /turtles/android-shell/bin/clean | UTF-8 | 249 | 3.1875 | 3 | [] | no_license | #!/bin/bash
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
ROOT="$( cd $DIR/../ && pwd)"
external_build=$ROOT/app/.externalNativeBuild
if [ -d $external_build ]; then
# echo "Clearing External Build Cache"
rm -rf $external_build;
fi
| true |
3273668b9852161dbe65804d3e7d5c733260debc | Shell | hnil/opm-build | /build_opm.sh | UTF-8 | 3,055 | 3.484375 | 3 | [] | no_license | #!/bin/bash
BUILD_ERT_EIGEN=false # also libecl
#BUILD_LIBECL_EIGEN=false
CLEAN_BUILD=false
CMAKE_FILE=opm-building/debugopts_mpi.cmake
UPDATE=true
NP=1
if [ ! -d opm-src ]; then
echo "opm-src do not exit"
exit 1
fi
cd opm-src
# to do full build with ont ert and eigen this needs to be uncommented
if [ "$BUIL... | true |
978c865f8cf998002403b1bf6728358c4c1164fa | Shell | malscent/IntervalCronGenerator | /publish.sh | UTF-8 | 2,205 | 3.5625 | 4 | [
"MIT"
] | permissive | #!/bin/bash
export CSPROJ_PATH="./IntervalCronGenerator.Core/"
export PROJECT_NAME="IntervalCronGenerator.Core.csproj"
export GIT_BRANCH=$(git branch | cut -c 3-)
export TEST_PROJECT="./IntervalCronGeneratorTests/IntervalCronGeneratorTests.csproj"
export NUGET_SERVER="https://api.nuget.org/v3/index.json"
export BUILD_D... | true |
d045790c078b2b00361c55ee6c44a2ee70fd3f47 | Shell | KennyIT3/LinuxScripts | /Scripts/Trace.sh | UTF-8 | 597 | 3.375 | 3 | [
"MIT"
] | permissive | #!/bin/bash
Path="/data01/Server/*"
DEST="/data01/DataCopy"
Dest2="/data01/Linux"
#NEWEST=$(ls -trld $Path | head -1)
NEWEST=$(find $Path -type d -prune -exec ls -d {} \; | tail -n 1)
mkdir ${Dest2}
if [ -d "${NEWEST}" ] ; then
echo "The most recent entry is a directory"
cp -Rp "${NEWEST}" "${DEST}"
COP... | true |
84490e709b2de59a0efed17321246c48b4c83586 | Shell | dune-universe/dune-universe | /packages/get_line.7.0.0/test.sh | UTF-8 | 1,114 | 2.828125 | 3 | [] | no_license | #!/bin/bash
#set -x # DEBUG
tmp=`mktemp`
seq 1 10 > $tmp
# set -x
GET_LINE=_build/default/src/get_line.exe
# 1st line
diff <($GET_LINE -r 1 -i $tmp) <(seq 1 1)
# 2nd line
diff <($GET_LINE -r 2 -i $tmp) <(seq 2 2)
# 3rd line
diff <($GET_LINE -r 3 -i $tmp) <(seq 3 3)
# lines 2 to 5
diff <($GET_LINE -r 2..5 -i $t... | true |
fa3edc93d2d12fccebf8479a5b6d3774ab4b9295 | Shell | szaffarano/dotfiles | /tools/bin/mpid | UTF-8 | 348 | 3.46875 | 3 | [] | no_license | #!/bin/bash
FOUND=$(
jps -v |
grep Bootstrap |
grep -v Studio |
awk '{ print $1 }'
)
M_INSTANCES=$(echo "$FOUND" | wc -w)
if [[ -z "$FOUND" ]]; then
echo "No mule runtime instance running"
exit 1
elif [[ $M_INSTANCES -gt 1 ]]; then
echo "$M_INSTANCES instances of mule runtime found, expected 1: $FOUND"
ex... | true |
570fad0930226a62d25493e66ab7dcc168a0d2fb | Shell | htrc/HTRC-DataCapsules | /backend/switch.sh | UTF-8 | 6,381 | 3.90625 | 4 | [] | no_license | #!/bin/bash
# Copyright 2013 University of Michigan
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable la... | true |
fe3e0298ccb37e68ecafb777ff8c7a24c4759d49 | Shell | vdesabou/kafka-docker-playground | /multi-data-center/mirrormaker2/mirrormaker2-plaintext.sh | UTF-8 | 1,980 | 3.484375 | 3 | [
"MIT"
] | permissive | #!/bin/bash
set -e
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null && pwd )"
source ${DIR}/../../scripts/utils.sh
if ! version_gt $TAG_BASE "5.3.99"; then
logwarn "WARN: This example is working starting from CP 5.4 only"
exit 111
fi
${DIR}/../../environment/mdc-plaintext/start.sh "${PWD}/docker-comp... | true |
25df4af3fd0bd029ecdcb7e5eb887afc931807d5 | Shell | tvararu/react-motion-unmounting-demo | /scripts/deploy.sh | UTF-8 | 528 | 2.90625 | 3 | [
"MIT"
] | permissive | #!/bin/bash
ROOT_FOLDER=$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )/..
cd $ROOT_FOLDER
npm install
rm -Rf meteor/react-build-generated
./node_modules/.bin/webpack --config webpack/production.config.js -p
find meteor/react-build-generated/client -maxdepth 1 -mindepth 1 -not -name main.js \
-exec mv '{}' mete... | true |
93bcbee8b3a13913a8e32a1d8db8960792c35375 | Shell | cmbntr/wsl-cloud-init | /wsl-cloud-init.sh | UTF-8 | 1,040 | 3.546875 | 4 | [] | no_license | #!/bin/bash
if [ "$1" = "--noclean" ]; then
shift 1
CLEAN="0"
else
echo "clean existing cloud-init config"
CLEAN="1"
cloud-init clean --logs --seed
fi
if [ -n "$1" ]; then
DEBUG_PROC_CMDLINE="ds=nocloud;seedfrom=$1"
shift 1
case "$DEBUG_PROC_CMDLINE" in
*/)
# Slash at end, ok!
;;
*)
# ... | true |
584137898df111a19a2b06d14de0c9e575cbdbae | Shell | kairoaraujo/checklist-unix | /modules/mod_SunOS.sh | UTF-8 | 4,209 | 3.046875 | 3 | [] | no_license | #!/bin/sh
#
# checklist-unix
#
# Kairo Araujo (c) 2010-2016
#
##############################################################################
#
# mkcheck()
#
# 1. Create the command
#
# file_name {FILE_NAME}
# {COMMAND} > $CHKU_GFILE
#
# Rules for {FILE_NAME}
#
# a. low case
#
# ... | true |
2efca1c39b9c32c322617ca827ce96b716f5ecd7 | Shell | josephtyler/home | /bin/git-cleanup.sh | UTF-8 | 725 | 3.65625 | 4 | [] | no_license | #!/bin/bash
set -e
REMOTE=0
SHOW_UNMERGED=0
while getopts ru option; do
case "${option}" in
r) REMOTE=1 ;;
u) SHOW_UNMERGED=1 ;;
esac
done
# Always run this from master
# git checkout -q master
# Fetch and prune
git fetch --prune
# Delete local merged branches
git branch --merged | grep -... | true |
65ae1bf8b4380247fb95176e09841e9cd436e696 | Shell | StartupAndPlay/startupandplay.com | /bin/clone.sh | UTF-8 | 407 | 3.703125 | 4 | [
"MIT"
] | permissive | #!/bin/bash
cd `dirname $0`/..
set -e
read -p "Local environment? (y/n) " -n 1
if [[ $REPLY =~ ^[Yy]$ ]]
then
touch env_local
echo -e "\nCreated environment file successfully"
else
read -p "Staging environment? (y/n) " -n 1
if [[ $REPLY =~ ^[Yy]$ ]]
then
touch env_staging
echo -e "\nCreated environ... | true |
fab4aaec60c117c5188f22e8e9c612fb3fde6557 | Shell | DataDog/dd-trace-dotnet | /profiler/build/run.sh | UTF-8 | 131 | 3.1875 | 3 | [
"Apache-2.0",
"MIT"
] | permissive | #!/bin/bash
FILE=$1.linux.$2.json
if [ -f "$FILE" ]; then
${GOPATH}/bin/timeit $FILE
else
echo "$FILE does not exist."
fi
| true |
9502e3a3d89385e98359f35e99c53d86ab079e8f | Shell | sai-raavi/MyS3backup | /config/ecs-optimized/health-webserver.sh | UTF-8 | 396 | 2.9375 | 3 | [] | no_license | #!/bin/bash
case $1 in
start)
test -e /var/run/health-webserver.pid && kill `cat /var/run/health-webserver.pid`
exec /usr/local/bin/health-webserver.py 2>&1 | /usr/bin/logger -t health-webserver & ;;
stop)
test -e /var/run/health-webserver.pid && kill `cat /var/run/health-webserver.pid` ;;
... | true |
a22bded569f6f835455aa2052c69b5334c603a06 | Shell | JKirchartz/dotfiles | /scripts/trellis_up.sh | UTF-8 | 361 | 2.828125 | 3 | [] | no_license | #! /bin/sh
#
# trellis_up.sh <path/to/trellis/project>
# Copyright (C) 2017 jkirchartz <me@jkirchartz.com>
#
# Distributed under terms of the NPL (Necessary Public License) license.
#
cd "$1/trellis" || exit 1;
vagrant up
cd "../theme" || exit 1;
if [ -n "$TMUX" ]; then
tmux split-window -v -p 90 "gulp && gul... | true |
c14dec8111030f62e8ba07868ec176597c4f5c3c | Shell | vegito11/Day-Today | /Bash/Programms/Strings/get_user_info.sh | UTF-8 | 227 | 2.65625 | 3 | [] | no_license | echo 'Enter Username :\c'
read username
line=`grep $username /etc/passwd`
IFS=:
set $line
echo "USername : $1"
echo "User ID : $2"
echo "Group ID : $3"
echo "Comment Field : $4"
echo "Home Folder : $5"
echo "Default Shell : $6" | true |
538e083e059ee8cac851a41ea410ea911e0373f7 | Shell | carlj/IoT-Hackathon | /helper/services/install-services.sh | UTF-8 | 1,210 | 2.609375 | 3 | [] | no_license | #!/bin/bash
cd "$(dirname "$0")"
# Install DHT22 Service
sudo cp dht22.service /etc/systemd/system/dht22.service
sudo cp dht22-mqtt.service /etc/systemd/system/dht22-mqtt.service
#sudo systemctl enable dht22.service
#sudo systemctl enable dht22-mqtt.service
# Install L3GD20 Service
sudo cp l3gd20.service /etc/syste... | true |
e5f6c29a3cf1c27555f584beed2800d60457df7b | Shell | qmutz/nnn | /plugins/bookmarks | UTF-8 | 1,648 | 4.125 | 4 | [
"BSD-2-Clause"
] | permissive | #!/usr/bin/env sh
# Description: Use named bookmarks using symlinks
#
# Dependencies: fzf
#
# Usage:
# 1. Create a $BOOKMARKS_DIR directory
# By default, $BOOKMARKS_DIR is set to: ${XDG_CACHE_HOME:-$HOME/.cache}/nnn/bookmarks
#
# 2. Create symlinks to directories
# `cd $BOOKMARKS_DIR`
# `ln -s /path/t... | true |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.